plugins {
    id('java-platform')
}

group = 'com.ruoyi.platform'

// allow the definition of dependencies to other platforms like the Spring Boot BOM
javaPlatform.allowDependencies()

dependencies {
    api(platform('org.springframework.boot:spring-boot-dependencies:2.7.3'))
    api(platform('org.springframework.cloud:spring-cloud-dependencies:2021.0.4'))
//    api(platform('com.alibaba.cloud:spring-cloud-alibaba-dependencies:2021.0.1.0'))

    constraints {
        api('com.alibaba:druid-spring-boot-starter:1.2.11')
        api('com.alibaba.fastjson2:fastjson2:2.0.12')
        api('com.github.oshi:oshi-core:6.2.2')
        api('com.github.pagehelper:pagehelper-spring-boot-starter:1.4.3')
        api('com.github.penggle:kaptcha:2.3.2')
        api('commons-io:commons-io:2.11.0')
        api('commons-fileupload:commons-fileupload:1.4')
        api('commons-collections:commons-collections:3.2.2')
        api('org.apache.poi:poi-ooxml:4.1.2')
        api('org.apache.velocity:velocity-engine-core:2.3')
        api('eu.bitwalker:UserAgentUtils:1.21')
        api('io.jsonwebtoken:jjwt:0.9.1')
        api('io.springfox:springfox-swagger2:3.0.0')
        api('io.springfox:springfox-swagger-ui:3.0.0')
        api('io.springfox:springfox-boot-starter:3.0.0')
        api('io.swagger:swagger-models:1.6.2')
        api('javax.xml.bind:jaxb-api:2.3.1')
        api("io.jsonwebtoken:jjwt-api:0.10.5")
        api("io.jsonwebtoken:jjwt-impl:0.10.5")
        api("io.jsonwebtoken:jjwt-jackson:0.10.5")
        api("com.baomidou:mybatis-plus-boot-starter:3.5.2")
        api("net.glxn:qrgen:1.4")
        api("org.apache.commons:commons-imaging:1.0-alpha1")

        api('mysql:mysql-connector-java:8.0.29')
    }
}
